AnsweredAssumed Answered

MaprDB Python bindings - <init>() failed.,

Question asked by mandoskippy on Feb 23, 2018
Latest reply on May 22, 2018 by iandow

I am trying to use the MapR DB Json Python Bindings. 

 

I have compiled the code, and the maprdb.connect() works with no error. 

 

When I try to get a table, I get the error below, I am running a secure cluster, but I have a service ticket generated and I specify that location int os.environ["MAPR_TICKETFILE_LOCATION"]  So that should be ok right (Although I get the same error when I don't specify that as when I do, so maybe it's related to this?) I tried specifying MAPR_TICKETFILE_LOCATION both at the command line when I ran the python script and in the script itself using os.environ, however, the results are always the same. I've validated that the ticket IS valid... Is there a different way to specify a ticket when using the Python bindings? Has using a ticket been tested? Is there way a to turn up logging information so I know where to look for issues?  The error messages are vague to say the least.  If there is any docs on using tickets with the Python bindings I would appreciate it!

 

John

 

 

Making connection with maprdb.connect()

Trying to get table with maprconn.get(wifitable)

log4j:WARN No appenders could be found for logger (com.mapr.baseutils.cldbutils.CLDBRpcCommonUtils).

log4j:WARN Please initialize the log4j system properly.

log4j:WARN See http://logging.apache.org/log4j/1.2/faq.html#noconfig for more info.

Traceback (most recent call last):

  File "/usr/local/lib/python3.5/dist-packages/maprdb-0.0.3-py3.5.egg/maprdb/utils.py", line 98, in wrapper

    ret = f(*args, **kwargs)

  File "/usr/local/lib/python3.5/dist-packages/maprdb-0.0.3-py3.5.egg/maprdb/connection.py", line 69, in get

    j_table = self.MapRDB.getTable(name)

jpype._jexception.DBExceptionPyRaisable: com.mapr.db.exceptions.DBException: <init>() failed.,

 

The above exception was the direct cause of the following exception:

 

Traceback (most recent call last):

  File "./wifidata.py", line 92, in <module>

    main()

  File "./wifidata.py", line 29, in main

    maprtable = maprconn.get(wifitable)

  File "/usr/local/lib/python3.5/dist-packages/maprdb-0.0.3-py3.5.egg/maprdb/utils.py", line 101, in wrapper

    raise MapRDBError(str(e)) from e

maprdb.utils.MapRDBError: com.mapr.db.exceptions.DBException: <init>() failed.,

Outcomes